# DataNode Class Reference

`#include <yatephone.h>`

Inheritance diagram for DataNode:

List of all members.

## Public Member Functions

| DataNode (const char *format=0)
virtual int | costFormat (const DataFormat &format)
virtual bool | setFormat (const DataFormat &format)
const DataFormat & | getFormat () const
unsigned long | timeStamp () const

## Static Public Member Functions

static unsigned long | invalidStamp ()

## Protected Attributes

DataFormat | m_format
unsigned long | m_timestamp

## Detailed Description

A generic data handling object

## Constructor & Destructor Documentation

DataNode | ( | const char * | format = `0` | ) | `[inline]`

Construct a DataNode

Parameters:

  | format | Description of the data format, default none

## Member Function Documentation

virtual int costFormat | ( | const DataFormat & | format | ) | `[inline, virtual]`

Get the computing cost of converting the data to the format asked

Parameters:

  | format | Name of the format to check for

Returns:
  -1 if unsupported, 0 for native format else cost in KIPS

virtual bool setFormat | ( | const DataFormat & | format | ) | `[inline, virtual]`

Change the format used to transfer data

Parameters:

  | format | Name of the format to set for data

Returns:
  True if the format changed successfully, false if not changed

const DataFormat& getFormat | ( |  | ) | const`[inline]`

Get the description of the format currently in use

Returns:
  Pointer to the data format

unsigned long timeStamp | ( |  | ) | const`[inline]`

Get the current position in the data stream

Returns:
  Timestamp of current data position

static unsigned long invalidStamp | ( |  | ) | `[inline, static]`

Get the internal representation of an invalid or unknown timestamp

Returns:
  Invalid timestamp - unsigned long conversion of -1

The documentation for this class was generated from the following file:

- yatephone.h